@import "../../../../styles/variable.scss";

.header {
  transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  box-shadow: none;
  display: flex;
  flex-direction: column;
  width: 100%;
  box-sizing: border-box;
  flex-shrink: 0;
  // position: fixed;
  position: sticky;
  z-index: 1100;
  top: 0px;
  left: auto;
  right: 0px;
  color: rgb(255, 255, 255);
  // padding-left: calc($sidebar-width + 15px);
  transition: all 0.3s ease-in-out;
  background-color: $background-color;
  .topbg {
    background-color: $primary-color;
  }
  .headerBottomMenuBg{
    background-color: #EDEDEE;
    font-family: "MontserratBold";
  }
  // background-color: rgb(250, 251, 251);
  .headerContainer {
    position: relative;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    // padding-left: 20px;
    // padding-right: 16px;
    // color: rgb(148, 157, 178);
    color: #363B64;
    min-height: $header-height;
    background-color: $background-color;
    // background-color: #fff;
    // background: linear-gradient(165deg, #0463EF, #66E5FB);
    .leftMenu {
      a {
        margin: 0px 5px;
        font-size: 12px;
      }

      .menuLink{
        margin: 0px 30px;
        font-size: 12px;
        color: #272932;
        cursor: pointer;
        text-decoration: none;
        font-family: "LexendRegular", sans-serif;
        text-transform: uppercase;
        &:hover{
          color: $primary-color;
        }
        &.active{
          color: $primary-color;
        }
      }
    }
    .logoSection {
      max-width: $sidebar-width;
      @media (min-width: 992px) {
          width: $sidebar-width;
      }
      // margin-right: 30px;
      text-align: center;
      display: flex;
      justify-content: center;
      a {
        display: inline-flex;
      }
      img {
        width: 240px !important;
      }
    }
    .headerLogo {
      opacity: 0;
    }
    button {
      display: flex;
      padding: 10px;
      border: none;
      border-radius: 12px;
      box-shadow: 0px 2px 48px rgba(0, 0, 0, 0.04);
      background-color: #fff;
      // border-radius: 10px;
      // background-color: transparent;
      // margin-right: 15px;
      svg {
        width: 16px;
        height: 16px;
        color: #fff;
      }
    }
    .headerContainerCenter {
      -webkit-box-flex: 1;
      flex-grow: 1;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .dropdownMenu {
      position: relative;
      button {
        align-items: center;
      }
      svg {
        width: 20px;
        height: 20px;
        margin-left: 10px;
      }
      .dropdownList {
        // display: none;
        position: absolute;
        right: 0;
        top: 130%;
        background-color: #fff;
        box-shadow: rgb(0 0 0 / 8%) 1px 2px 10px;
        width: 250px;
        border-radius: 10px;
        padding: 5px 0px;
        a {
          padding: 10px;
          display: block;
          border-radius: 10px;
          margin: 0px 5px;
          color: $secondary-color;
          svg {
            margin-left: 0px;
            margin-right: 10px;
            color: rgba(0, 0, 0, 0.24);
            fill: red;
            width: 20px;
            height: 30px;
          }
          &:hover {
            background-color: $primary-color;
            color: $sub-background;
            svg {
              color: rgba(255, 255, 255, 0.54);
              fill: red !important;
            }
          }
        }
      }
    }
  }

  &.headerClose {
    // padding-left: 0px;
    transition: all 0.3s ease-in-out;
    .headerContainer {
      .headerLogo {
        opacity: 1;
      }
    }
  }
}
.topheadermenu{
  p{
    margin-left: 10px;
  }
}